## r-cran-matrixcalc 1.0.3

=== DESCRIPTION ===
Package: matrixcalc
Version: 1.0-3
Date: 2012-09-12
Title: Collection of functions for matrix calculations
Author: Frederick Novomestky <fnovomes@poly.edu>
Maintainer: Frederick Novomestky <fnovomes@poly.edu>
Depends: R (>= 2.0.1)
Description: A collection of functions to support matrix calculations
        for probability, econometric and numerical analysis. There are
        additional functions that are comparable to APL functions which
        are useful for actuarial models such as pension mathematics.
        This package is used for teaching and research purposes at the
        Department of Finance and Risk Engineering, New York
        University, Polytechnic Institute, Brooklyn, NY 11201.
License: GPL (>= 2)
Packaged: 2012-09-14 22:54:49 UTC; fred
Repository: CRAN
Date/Publication: 2012-09-15 14:22:14

=== debian/changelog ===
r-cran-matrixcalc (1.0.3-4) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 14:27:22 +0200

r-cran-matrixcalc (1.0.3-3) unstable; urgency=medium

  * Team upload.
  * Rebuild for r-api-3.4 transition.
  * Bump to watch file format version 4.
  * Convert to dh-r.
  * Bump to debhelper compat level 10.
  * Add Testsuite: autopkgtest-pkg-r.
  * Bump to Standards-Version 4.1.0.
  * Use canonical CRAN homepage.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 28 Sep 2017 21:23:45 +0200

r-cran-matrixcalc (1.0.3-2) unstable; urgency=medium

  * Initial Debian release. Closes: #831880
  * debian/control: fix VCS fields, fix architecture.
  * debian/control: update standards.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 20 Jul 2016 15:25:20 +0200

r-cran-matrixcalc (1.0.3-1) unstable; urgency=low

  * Private release, for Tilburg University.

 -- Joost van Baal-Ilić <joostvb+debian@uvt.nl>  Wed, 20 Jul 2016 13:56:01 +0200

=== debian/control ===
Source: r-cran-matrixcalc
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-matrixcalc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-matrixcalc.git
Homepage: https://cran.r-project.org/package=matrixcalc

Package: r-cran-matrixcalc
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R functions for matrix calculations -- matrixcalc
 GNU R package supplying functions to support matrix calculations
 for probability, econometric and numerical analysis. There are
 additional functions that are comparable to APL functions which
 are useful for actuarial models such as pension mathematics.

=== debian/watch ===
version=4
opts="uversionmangle=s/-/\./" \
	    https://cran.r-project.org/src/contrib/matrixcalc_([-\d\.]*)\.tar.gz

## r-cran-matrixcalc 1.0.5

=== DESCRIPTION ===
Package: matrixcalc
Version: 1.0-5
Date: 2021-07-27
Title: Collection of Functions for Matrix Calculations
Author: Frederick Novomestky <fnovomes@poly.edu>
Maintainer: S. Thomas Kelly <tomkellygenetics@gmail.com>
Depends: R (>= 2.0.1)
Description: A collection of functions to support matrix calculations
        for probability, econometric and numerical analysis. There are
        additional functions that are comparable to APL functions which
        are useful for actuarial models such as pension mathematics.
        This package is used for teaching and research purposes at the
        Department of Finance and Risk Engineering, New York
        University, Polytechnic Institute, Brooklyn, NY 11201.
        Horn, R.A. (1990) Matrix Analysis. ISBN 978-0521386326.
        Lancaster, P. (1969) Theory of Matrices. ISBN 978-0124355507.
        Lay, D.C. (1995) Linear Algebra: And Its Applications. ISBN 978-0201845563.
License: GPL (>= 2)
Packaged: 2021-07-28 00:59:01 UTC; tom
Repository: CRAN
Date/Publication: 2021-07-28 08:00:02 UTC
NeedsCompilation: no

=== debian/changelog ===
r-cran-matrixcalc (1.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 14:36:01 +0200

r-cran-matrixcalc (1.0.3-5) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 08:23:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-matrixcalc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-matrixcalc.git
 Homepage: https://cran.r-project.org/package=matrixcalc
+Rules-Requires-Root: no
 
 Package: r-cran-matrixcalc
 Architecture: all

## r-cran-matrixcalc 1.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: matrixcalc
-Version: 1.0-5
-Date: 2021-07-27
+Version: 1.0-6
+Date: 2022-09-10
 Title: Collection of Functions for Matrix Calculations
 Author: Frederick Novomestky <fnovomes@poly.edu>
 Maintainer: S. Thomas Kelly <tomkellygenetics@gmail.com>
@@ -16,7 +16,9 @@
         Lancaster, P. (1969) Theory of Matrices. ISBN 978-0124355507.
         Lay, D.C. (1995) Linear Algebra: And Its Applications. ISBN 978-0201845563.
 License: GPL (>= 2)
-Packaged: 2021-07-28 00:59:01 UTC; tom
+BugReports: https://github.com/TomKellyGenetics/matrixcalc/issues
+Packaged: 2022-09-14 20:41:38 UTC; tom
 Repository: CRAN
-Date/Publication: 2021-07-28 08:00:02 UTC
+Date/Publication: 2022-09-14 21:20:02 UTC
+RoxygenNote: 7.1.2
 NeedsCompilation: no

=== debian/changelog ===
r-cran-matrixcalc (1.0.6-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.7.0 (routine-update)
  * d/control: remove Uploaders (which had only my name).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 23 Apr 2024 08:19:00 +0000

r-cran-matrixcalc (1.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 18 Sep 2022 20:40:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: r-cran-matrixcalc
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-matrixcalc
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-matrixcalc.git
+Homepage: https://cran.r-project.org/package=matrixcalc
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-matrixcalc
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-matrixcalc.git
-Homepage: https://cran.r-project.org/package=matrixcalc
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-matrixcalc
 Architecture: all
